from django.urls import path, re_path
from django.views.generic import RedirectView, TemplateView

from . import views
from . import api 

urlpatterns = [
	
	#api taches
	path('api/get_list', api.taches_get_list, name='parc_info_api_taches_get_list'),
	re_path('api/get_taches/(?P<id_tache>\d+)', api.taches_get_info, name='parc_info_api_taches_get_info'),
	re_path('api/edit_taches/(?P<id_tache>\d+)', api.taches_edit_info, name='parc_info_api_taches_edit_info'),

	# taches
	path('', views.taches_show_list, name='parc_info_taches_show_list'),
	re_path('edit/(?P<id_tache>\d+)', views.taches_edit_info, name='parc_info_taches_edit_info'),

]